import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _MXDiagnosticPayload extends _NSObject {
    static alloc(): _MXDiagnosticPayload;
    static new(): _MXDiagnosticPayload;
    init(): _MXDiagnosticPayload;
    /**
     * @method JSONRepresentation @abstract Convenience method to return a JSON representation of this diagnostic payload. @result An NSData object containing the JSON representation
     */
    JSONRepresentation(): _NSData;
    /**
     * @method dictionaryRepresentation @abstract Convenience method to return a NSDictionary representation of this diagnostic payload. @result An NSDictionary object containing the dictionary representation
     */
    dictionaryRepresentation(): _NSDictionary;
    /**
     * @property cpuExceptionDiagnostics @abstract An array containing CPU exception diagnostics for this application.
     */
    cpuExceptionDiagnostics(): _NSArray | null;
    /**
     * @property diskWriteExceptionDiagnostics @abstract An array containing disk write exception diagnostics for this application.
     */
    diskWriteExceptionDiagnostics(): _NSArray | null;
    /**
     * @property hangDiagnostics @abstract An array containing hang diagnostics for this application.
     */
    hangDiagnostics(): _NSArray | null;
    /**
     * @property appLaunchDiagnostics @abstract An array containing app launch diagnostics for this application.
     */
    appLaunchDiagnostics(): _NSArray;
    /**
     * @property crashDiagnostics @abstract An array containing crash diagnostics for this application.
     */
    crashDiagnostics(): _NSArray | null;
    /**
     * @property timeStampBegin @abstract An NSDate object that indicates the start time for which the payload was generated.
     */
    timeStampBegin(): _NSDate;
    /**
     * @property timeStampEnd @abstract An NSDate object that indicates the end time for which the payload was generated.
     */
    timeStampEnd(): _NSDate;
}
export interface _MXDiagnosticPayload extends _NSSecureCoding {
}
